--土-祖玛4
--配合挂机》触发使用，其中演示了周知物品的用法，
--演示了投放回收的用法

local g_hpnum=20 --红药数量
local g_hpname="强效金创药"
local g_mpnum=20 --蓝药数量
local g_mpname="强效魔法药"

--回城处理
function 回城()
	--存仓
	local bsave=是否需要存()
	if bsave then
		移动到范围2("3",337,339,5)
		等待(1500)
		坐标对话(337,339)
		等待(1500)
		选择("@-1")
		等待(1500)
		存()
	end
	--回收
	local nWMnum=获取物品数量("[沃玛装备]")
	local nZMnum=获取物品数量("[祖玛装备]")
	if nWMnum+nZMnum>0 then
		移动到范围2("3",325,339,5)
		等待(1500)
		坐标对话(325,339)
		等待(1500)
		选择("@4")
		等待(1500)
		装备回收("[沃玛装备]|[祖玛装备]",1500) --投放回收
	end
	--卖物
	local bsold=是否需要卖()
	if bsold then
		移动到范围2("3",355,329,5)
		等待(1500)
		坐标对话(355,329)
		等待(1500)
		选择("@2")
		等待(1500)
		卖()
	end
	--修理
	local brepair=是否需要修理(50,0,1,2,3,5,6,7,8)
	if brepair then
		移动到范围2("0149",11,18,5)
		等待(1500)
		坐标对话(11,18)
		等待(1500)
		选择("@-3")
		等待(1500)
		全部特修() --全部修理()
		等待(1500)
	end
	--买药
	local hpnum=获取物品数量(g_hpname)
	local mpnum=获取物品数量(g_mpname)
	local buyhp=(hpnum<g_hpnum)
	local buymp=(mpnum<g_mpnum)
	if buyhp or buymp then
		移动到范围2("3",361,335,5)
		等待(1500)
		坐标对话(361,335)
		等待(1500)
		选择("@-1")
		等待(1500)
		if buyhp then
			买("强效金创药",g_hpnum-hpnum,99,1500)
		end
		if buymp then
			买("强效魔法药",g_mpnum-mpnum,99,1500)
		end
	end
	--买卷
	local nsjnum=获取物品数量("随机传送卷")
	local bBuysj=(nsjnum<1)
	if bBuysj then
		移动到范围2("3",346,334,5)
		等待(1500)
		坐标对话(346,334)
		等待(1500)
		选择("@-1")
		等待(1500)
		if bBuysj then
			买("随机传送卷",3,10,1500)
		end
	end
	--跑到祖玛1
	移动到地图2("D501")
	等待(1500)
	return 挂机()
end

--地图挂机
function 挂机()
	开始挂机()
	使用物品("回城卷")
	等待(2000)
	return 回城()
end

--开始
do
	清空周知物品()
	添加周知物品("沃玛装备","幽灵项链|龙之戒指|幽灵手套|铂金戒指|心灵手镯|天珠项链|红宝石戒指|思贝儿手镯|生命项链")
	添加周知物品("祖玛装备","力量戒指|骑士手镯|阎罗手套|绿色项链|黑铁头盔|泰坦戒指|三眼手镯|灵魂项链|紫碧螺|龙之手镯|恶魔铃铛")
	--挂机路线
	设置环状挂机路线()
	--祖玛4
	添加挂机路线点2("D504",361,194,3)
	添加挂机路线点2("D504",206,42,3)
	添加挂机路线点2("D504",60,187,3)
	添加挂机路线点2("D504",215,346,3)
	--开始
	local mapid=获取地图id()
	if mapid=="0157" or mapid=="D501" or mapid=="D502" or mapid=="D503" or mapid=="D504" or mapid=="D505" then
		挂机()
	else
		回城()
	end
end
